synaptic crashes upon marking a package with dependencies

Bug #9743 reported by Arun Bhanu on 2004-10-30
60
This bug affects 13 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Medium
Michael Vogt

Bug Description

Synaptic crashes when marking a package with dependencies for installation. This
only happens after updating to hoary.

Steps to Reproduce:
1. Launch synaptic
2. Search tla
3. Mark tla for installation
   synaptic pops a dialog box prompting dependencies to mark
4. Click on 'Mark'

Actual Results:
Synaptic crashes.

Michael Vogt (mvo) wrote :

Thanks for your bugreport. I have tried to reproduce this crash but it worked
for me. Can
you please send me a gdb backtrace of the crash? And tell me if apt-get install
tla will
crash as well? Will the crash only happen with tla? Or with any other package
that has
dependencies?

thanks,
 Michael

Could be related:

installed hoary, got all the latest updates. Now, when I want to remove
a package (tried it with amule and nmap) the synaptic window closes
without a message or anything.

Cheers, Bastian

Arun Bhanu (arun-codemovers) wrote :

apt-get install tla is working fine.
Synaptic crashes for any package that has dependencies. tla was used as an example.
I may be wrong, but I guess the cause of the problem is upgrading
libgtk2.0-0(2.4.10-1ubuntu1 => 2.5.4-0ubuntu1) which happened during Warty to
Hoary upgrade.

I'm getting the following output in a gdb session:
(synaptic:4515): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion
`node != NULL' failed

Program exited normally.

HTH

I'm having the same problem, updated to hoary from warty, try install any
program with synaptic.
i ran synaptic in gdb and i get the following output.

(synaptic:19825): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion
`node != NULL' failed

if that helps any (i haven't used gdb before.)

Michael Vogt (mvo) wrote :

The problem is caused by the new gtk version. I have a fixed version of synaptic
ready that I will upload soon.

David D Miller (justdave) wrote :

just reproduced this on PPC, so setting hardware appropriately. I'll watch for
the new upload.

Michael Vogt (mvo) wrote :

as a workaround, you can unset "Settings/Preferences/General/Ask for confirm
changes also affecting other packages".

David D Miller (justdave) wrote :

(In reply to comment #7)
> as a workaround, you can unset "Settings/Preferences/General/Ask for confirm
> changes also affecting other packages".

If I touch the preferences, synaptic is unusable until I manually delete the
preferences file. See bug 9086.

Michael Vogt (mvo) wrote :

I build a updated package for synaptic at:
http://people.debian.org/~mvo/synaptic/warty/0.55/

the deb is i386, I have no PPC machine (sorry). But it will fix the ppc endian
problem too
(and the problem reporting in this bugreport).

Michael Vogt (mvo) wrote :

fixed in synaptic 0.55

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.